Project

General

Profile

Bug #5254

Actualización de 1.8.8.4 a 1.8.8.6 (error al aplicar el parche)

Added by Jose García (Nosolored) over 9 years ago. Updated over 9 years ago.

Status:
Bug resolved
Priority:
Low
Category:
-
Target version:
-
Start date:
26/07/2012
Due date:
% Done:

60%

Estimated time:
Complexity:
Normal
SCRUM pts - complexity:
?

Description

Buenos días.

Descargamos el parche para actualizar a 1.8.8.6 indicado en http://support.chamilo.org/projects/chamilo-18/wiki/Security_issues en concreto el fichero que se muestra en

Download and apply the files replacement provided here: http://support.chamilo.org/attachments/download/2864/patch-1.8.8.6.tgz Put the file directly into the root directory of Chamilo and uncompress there

Lo descomprimimos y sobreescribimos los archivos de la instalación 1.8.8.4. Al aplicarlo y proceder a la actualización en .../main/install muestra el error

Fatal error: require_once() [function.require]: Failed opening required 'install.lib.php' (include_path='.:/php/includes:/usr/local/lib/php') in .../main/install/index.php on line 45

¿Le podéis echar un vistazo?

Muchas gracias.

Un saludo.

History

#1

Updated by Yannick Warnier over 9 years ago

Hola José. Solo tienes que descomprimir. No hay que ejecutar el procedimiento de actualización normal. Con la versión "patch", solo es necesario aplastar los ficheros. Si quieres, actualiza el wiki para que sea más claro (no se como ponerlo).

#2

Updated by Jose García (Nosolored) over 9 years ago

  • Priority changed from Urgent to Low

Buenas, Yannick.
Hemos copiado los ficheros del patch http://support.chamilo.org/attachments/download/2864/patch-1.8.8.6.tgz y aplastado/sobreescrito (copiando por ftp los ficheros) con los de la versión 1.8.8.4.

Luego hemos eliminado la carpeta /main/install para que no aparezca el mensaje en la Administración.

En la administración en el pie sigue apareciendo

Comprobar versión: site registered.
Su versión está actualizada: Chamilo 1.8.8.4

Un saludo.

#3

Updated by Yannick Warnier over 9 years ago

  • % Done changed from 0 to 60

Hola José,

Sí, esta parte es manual (pero no justifica ejecutar el procedimiento de actualización completa) como para pasar de 1.8.8.2 a 1.8.8.4.

Editas main/inc/conf/configuration.php y cambias 1.8.8.4 por 1.8.8.6 al finaaaal del archivo.

#4

Updated by Jose García (Nosolored) over 9 years ago

Gracias, Yannick.

He editado el archivo main/inc/conf/configuration.php de la instalación 1.8.8.6 parcheada y cambiado la línea

// Version settings
$_configuration['system_version'] = '1.8.8.4';

por

// Version settings
$_configuration['system_version'] = '1.8.8.6';

Al hacerlo y entrar en main/admin/index.php indica

Comprobar versión: site registered.
Su versión no está actualizada. La última versión es Chamilo 1.8.8.4. Su versión es Chamilo 1.8.8.6. Por favor, visite Chamilo

Ocurre también cuando se actualiza desde una versión 1.8.8.4 a una 1.8.8.6 con el paquete completo.

Un saludo.

#5

Updated by Yannick Warnier over 9 years ago

Bien visto. Esto quedaba como error mio, de no haber actualizado la versión en el sistema de verificación. Ya debería estar si refrescas la página de administración ahora.

#6

Updated by Jose García (Nosolored) over 9 years ago

Ahora sale ok.

Comprobar versión: site registered.
Su versión está actualizada: Chamilo 1.8.8.6

Muchas gracias, Yannick.

Un saludo.

#7

Updated by Yannick Warnier over 9 years ago

  • Status changed from New to Bug resolved
  • Assignee set to Yannick Warnier

Con mucho gusto. Gracias por reportar.

Also available in: Atom PDF